> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Sora-2 体验版

Sora 2 体验版是 ChatGPT 官网同款 Sora 2 版本，直连官网，价格超低，但稳定性不如官方 API 版本。

同理， Sora 2 Pro 体验版是 ChatGPT 官网同款 Sora 2 Pro 版本，与标准版相比，支持 1080P 高清视频以及 15s 时长设置。

### 模型参数

* 模型ID：`sora-2-all`/`sora-2-pro-all`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=openai\&type=video)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/videos/generations`
* 模型参数：参考[视频 API 手册](https://docs.geekai.co/cn/api/video/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持视频公共 API 中的以下参数：

  * `negative_prompt`
  * `image_tail`
  * `size`
  * `with_audio`
  * `quality`
  * `fps`
  * `watermark`
</Note>

Sora 2 体验版支持的 `aspect_ratio` 宽高比如下：

* `16:9`：横屏（默认值）
* `9:16`：竖屏

Sora 2 体验版支持的 `resolution` 分辨率如下：

* `720p`：标清（默认值）
* `1080p`：高清（仅 Sora 2 Pro 体验版支持）

Sora 2 体验版支持的 `duration` 视频时长如下：

* `10` 秒（默认值）
* `15` 秒
* `25` 秒（仅 Sora 2 Pro 体验版支持）

### 模型价格

Sora 2 体验版和 Sora 2 Pro 体验版生成视频按次数计费，与视频时长无关：

![极客智坊 Sora 2 和 Sora 2 Pro 体验版价格](https://static.geekai.co/storage/2026/03/14/image-20260314010628167.png)

其中，Sora 2 体验版价格最低可至 2 毛钱一个视频，将调用 API KEY 渠道切换到低价渠道即可。

### 文生视频

通过文字描述来生成对应视频：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"sora-2-all",
    "prompt":"广角跟踪镜头：一辆影青色的双门轿跑在沙漠公路上行驶，热浪扭曲清晰可见，头顶烈日高悬。"
}'
```

响应是一个 JSON 对象，包含生成视频的 URL：

```json theme={null}
{
    "model": "sora-2-all",
    "task_id": "a0a0474f-d074-4a92-8cae-d58ce5d2c91c",
    "task_status": "succeed",
    "video_result": [
        {
            "url": "https://static.geekai.co/video/2025/10/14/0b2d6b5aee6f01622b6b4315e0193b09.mp4"
        }
    ]
}
```

### 图生视频

通过传入图片+文本提示来生成对应视频：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"sora-2-pro-all",
    "prompt":"冰箱门打开。一只可爱、胖乎乎的紫色怪物从里面出来，伸了个懒腰，然后对着镜头咧嘴一笑。",
    "image":"https://cdn.openai.com/API/docs/images/sora/sora_monster_original_2.jpeg",
    "resolution": "1080p",
    "duration": 15
}'
```

响应是一个 JSON 对象，包含生成视频的 URL：

```json theme={null}
{
    "model": "sora-2-pro-all",
    "task_id": "3cb3e175-79bf-47f0-8ac5-8c4a26cfc74c",
    "task_status": "succeed",
    "video_result": [
        {
            "url": "https://static.geekai.co/video/2025/10/14/3e2e00928877112d0fff4affa16f55c0.mp4"
        }
    ]
}
```

如果想要异步创建视频获取生成结果请参考[Sora-2示例](https://docs.geekai.co/cn/docs/video/openai/sora-2#%E5%BC%82%E6%AD%A5%E4%BB%BB%E5%8A%A1)，流程完全一样，这里不再赘述。

### 注意事项

Sora 2 体验版和 Sora 2 Pro 体验版均为 ChatGPT 官网同款 Sora 2 版本，官方风控比较严格，因此稳定性远不如官方 API，出现失败的机率比较高，如果是构建对外使用的 AI 应用，请切换到[正版 Sora 2 和 Sora 2 Pro](https://docs.geekai.co/cn/docs/video/openai/sora-2)。
